.our-range {
    padding: 140px 0;
    position: relative;
}

.our-range__wrapper {
    display: flex;
    flex-direction: column;
    gap: 50px;
}

.our-range__sticky-bg-img {
    position: absolute;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    width: 408px;
    height: 100%;
    z-index: -1;
}

.our-range__sticky-bg-img img {
    position: sticky;
    top: 95px;
    width: 408px;
    height: 400px;
    display: block;
    object-fit: contain;
}

.our-range__top-title {
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
    gap: 40px;
}

.our-range__top-title h2 {
    max-width: 724px;
    width: 100%;
    font-family: var(--heading-font);
    font-weight: 500;
    font-size: 38px;
    line-height: 42.25px;
    letter-spacing: -0.77px;
    color: var(--text);
}

.our-range__top-title h2 span {
    color: var(--blue);
}

.our-range__top-title .btn-wrap {
    display: flex;
    justify-content: flex-end;
    max-width: calc(100% - 764px);
    width: 100%;
}

.our-range__grid {
    width: 100%;
    display: flex;
    flex-direction: column;
}

.our-range__item {
    max-width: 100%;
    width: 100%;
    display: flex;
    gap: 88px;
    padding: 40px 0;
    border-bottom: 1px solid var(--border2);
}

.our-range__item:first-child {
    border-top: 1px solid var(--border2);
}

.our-range__item--img {
    max-width: 552px;
    width: 100%;
}

.our-range__item--img img {
    max-width: 552px;
    width: 100%;
    height: 247px;
    object-fit: cover;
    display: block;
}

.our-range__item--content {
    max-width: calc(100% - 640px);
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    gap: 40px;
}

.our-range__item--content-top {
    display: flex;
    justify-content: space-between;
    gap: 20px;
}

.our-range__item--content-top-text {
    max-width: 300px;
    width: 100%;
}

.our-range__item--content .num {
    font-family: var(--font-primary);
    font-weight: 300;
    font-size: 72px;
    line-height: 35.2px;
    letter-spacing: -0.4px;
    color: var(--blue);
}

.our-range__item--content-top p {
    font-family: var(--font-primary);
    font-weight: 400;
    font-size: 16.17px;
    line-height: 21.6px;
    letter-spacing: -0.32px;
    color: --text;
}

.our-range__item--content-bottom {
    display: flex;
    align-items: flex-end;
    justify-content: flex-start;
    gap: 10px;
}

.our-range__item--content-bottom h4 {
    /* max-width: 510px; */
    max-width: 425px;
    width: 100%;
    font-family: var(--heading-font);
    font-weight: 500;
    font-size: 38px;
    line-height: 42.25px;
    letter-spacing: -0.77px;
    color: var(--text);
}

.our-range__item--content-bottom .btn-wrap {
    max-width: calc(100% - 435px);
    width: 100%;
    display: flex;
    justify-content: flex-end;
    gap: 10px;
    flex-wrap: wrap;
    align-items: center;
}

/* card-flip design */
.our-range__item--img {
    position: relative;
    overflow: hidden;
}

.our-range__item--img__inner {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: var(--blue);
    top: 100%;
    transition: top 0.5s ease-in-out;
}

.visible-card .our-range__item--img__inner {
    top: 0;
}

.our-range__item--img__inner-content {
    padding: 24px;
}

.our-range__item--img__inner-content p {
    font-size: 20px;
    line-height: 130%;
}

/* ------------------------------
   RESPONSIVE BREAKPOINTS
------------------------------ */

/* ≤ 1399px */
@media (max-width: 1399px) {
    .our-range {
        padding: 120px 0;
    }

    .our-range__item {
        gap: 60px;
    }

    .our-range__item--img {
        max-width: 450px;
    }

    .our-range__item--content {
        max-width: calc(100% - 510px);
    }

    .our-range__item--content .num {
        font-size: 64px;
        line-height: 29.2px;
    }

    .our-range__item--content-bottom h4 {
        font-size: 34px;
        line-height: 40px;
        max-width: 325px;
    }

    .our-range__item--content-bottom .btn-wrap {
        max-width: calc(100% - 335px);
    }
}

/* ≤ 1199px */
@media (max-width: 1199px) {
    .our-range {
        padding: 100px 0;
    }

    .our-range__top-title {
        gap: 20px;
    }

    .our-range__top-title .btn-wrap {
        max-width: 100%;
    }

    .our-range__top-title h2 {
        max-width: 680px;
    }

    .our-range__top-title .btn-wrap {
        max-width: calc(100% - 680px);
    }

    .our-range__item {
        gap: 40px;
    }

    .our-range__item--img {
        max-width: 350px;
    }

    .our-range__item--img img {
        height: 220px;
    }

    .our-range__item--content {
        max-width: calc(100% - 390px);
    }

    .our-range__item--content .num {
        font-size: 60px;
    }

    .our-range__item--content-bottom h4 {
        font-size: 30px;
        line-height: 36px;
    }

    .our-range__sticky-bg-img {
        max-width: 280px;
    }

    .our-range__sticky-bg-img img {
        width: 100%;
        height: 280px;
    }
}

/* ≤ 991px (Tablet) */
@media (max-width: 991px) {
    .our-range {
        padding: 80px 0;
    }

    /* .our-range__sticky-bg-img {
    display: none; 
  } */
    .our-range__item {
        flex-direction: column;
        gap: 25px;
    }

    .our-range__item--img,
    .our-range__item--content {
        max-width: 100%;
    }

    .our-range__item--content {
        gap: 30px;
    }

    .our-range__item--img img {
        max-width: 100%;
        height: auto;
        max-height: 280px;
    }

    .our-range__item--content-top {
        align-items: flex-start;
    }

    .our-range__item--content .num {
        font-size: 50px;
    }

    .our-range__item--content-bottom {
        gap: 15px;
    }

    .our-range__item--content-bottom h4 {
        max-width: 100%;
        font-size: 26px;
        line-height: 32px;
    }

    .our-range__item--content-bottom .btn-wrap {
        max-width: 100%;
    }

    .our-range__top-title {
        flex-direction: column;
        flex-wrap: wrap;
    }

    .our-range__top-title h2 {
        max-width: 100%;
        text-align: center;
    }

    .our-range__top-title .btn-wrap {
        /* max-width: calc(100% - 400px); */
        max-width: 100%;
        justify-content: center;
    }
}

/* ≤ 767px (Mobile Large) */
@media (max-width: 767px) {
    .our-range {
        padding: 60px 0;
    }

    .our-range__wrapper {
        gap: 40px;
    }

    .our-range__top-title {
        flex-direction: column;
    }

    .our-range__top-title h2 {
        max-width: 100%;
        font-size: 28px;
        line-height: 34px;
        text-align: center;
    }

    .our-range__top-title .btn-wrap {
        max-width: 100%;
        justify-content: center;
    }

    .our-range__item {
        padding: 30px 0;
        gap: 20px;
    }

    .our-range__item--img img {
        max-height: 220px;
    }

    .our-range__item--content-top {
        flex-direction: column;
        display: contents;

    }

    .our-range__item--content-top-text {
        max-width: 100%;
    }

    .our-range__item--content-bottom {
        flex-direction: column;
        display: contents;
    }

    .our-range__item--content {
        gap: 25px;
        flex-direction: column-reverse;
    }

    .our-range__item--content-bottom .btn-wrap {
        justify-content: flex-start;
        order: -1;
    }

    .our-range__item--content .num {
        font-size: 42px;
        order: 1;
    }

    .our-range__item--content-bottom h4 {
        font-size: 22px;
        line-height: 28px;
    }

    .our-range__sticky-bg-img {
        max-width: 150px;
    }

    .our-range__sticky-bg-img img {
        max-width: 100%;
        height: 150px;
    }
}

/* ≤ 480px (Mobile Small) */
@media (max-width: 480px) {
    .our-range {
        padding: 50px 0;
    }

    .our-range__top-title h2 {
        font-size: 24px;
        line-height: 30px;
    }

    .our-range__item {
        padding: 20px 0;
    }

    .our-range__item--content .num {
        font-size: 36px;
    }

    .our-range__item--content-bottom h4 {
        font-size: 20px;
        line-height: 26px;
    }
}